Skip to main content

Sales Order

Cova now supports Tax Inclusive Pricing. As such, we recommend moving to the TIP and TEP endpoints discussed below.

In Depth Documentation​

For a deep dive into Cova Sales Orders, see Cova Sales Order API guide
Cova Sales Orders API Guide

Endpoints​

EndpointDescription
PUT v1/TIPCovaOrder({orderId})This call creates a Sales Order for a specified location with Tax Inclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.
PUT v1/TEPCovaOrder({orderId})This call creates a Sales Order for a specified location with Tax Exclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.
PUT v2/CovaOrder({orderId})This call creates a Sales Order for a specified location with Tax Exclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova. This endpoint does not support customer pricing.
PUT v3/CovaOrder({orderId})This call creates a Sales Order for a specified location with Tax Exclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.
GET v2/Companies({CompanyId})/CovaOrder({SalesOrderId})/StatusReturns the status of the order and payment (if applicable)
POST v1/CovaOrderPaymentThis Call Marks a Sales Order as PaidWaitingForCompletion at the Location specified within the Company
POST Companies({CompanyId})/Sales({SalesOrderId})/CompleteThis Call Marks a Sales Order as Complete and Converts it to a Sales Invoice at the Location specified within the Company
GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/RefundInvoices?EntityId={EntityId}&DateSince={DateSince}&PaymentTypeName={PaymentTypeName}Get all refund invoices by company and location, originating from an order created by the integrator, since a date.
GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/RefundInvoices/{InvoiceId}?EntityId={EntityId}Get the refund invoice details of a refunded order.
GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/Orders/{OrderId}?EntityId={EntityId}Get order details by order Id
GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/CompletedOrders?EntityId={EntityId}&DateSince={DateSince}&OrderSource={OrderSource}Get all orders that were completed since date
PUT v1/Companies({companyId})/CovaOrderReceiptNumberReservation({orderId})This endpoint will generate a receipt number for a given orderId. All subsequent calls to other endpoints with that orderId will use this receipt number. This can be used by integrators to generate a receipt number for an order before the order is created.

PUT v1/TIPCovaOrder({orderId})​

This call creates a Sales Order for a specified location with Tax Inclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.

The intent is to represent orders with taxes included or excluded in the prices of each line item, depending on the explicit endpoint being called. Tax Inclusive Pricing is TIP and the historical Tax Exclusive Pricing is TEP. Separate explicit calls to create orders based on the two tax pricing schemes is a way to ensure understanding of the key differences

Additional Documentation​

See TIP/TEP Explanation

Determine Tax Pricing Configuration​

Tax Pricing Configuration

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v1/TIPCovaOrder(2a8f5d33-eec9-4864-8b49-5636577b40d5)

Note:​

This PUT call will create an order. Use this call if Tax Pricing Configuration for the location/entityId is Inclusive. As an integrator, you must generate an OrderId GUID value. The generated id must be supplied in the URL AND in the body of the PUT request as the id value

PUT /covaorderintake/v1/TIPCovaOrder({your generated id})
Host: api.covasoft.net
Authorization: Bearer {your token}
Accept: application/json
Content-Type: application/json
{
"Id":"{your generated id}",
"CompanyId": 1,
"EntityId": 2,
.... etc
"IntegratorId":"{integratorId}",
"Lines": [ ... ]
}

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
orderIdglobally unique identifierRequired

Body Parameters​

Details needed for the Cova Sales Order

CovaSalesOrderWithLines

NameDescriptionTypeAdditional information
IdstringNone.
CompanyIdintegerNone.
EntityIdintegerNone.
OrderReferenceDisplayed in Cova POS if a valid CustomerId is not supplied. Recommend [$firstName $lastName]stringNone.
CustomerIdstringNone.
IntegratorIdstringNone.
IsDeliverybooleanNone.
ExternalOrderIdOrder identifier from the submitting partner. Used as a cross-referencestringNone.
NotesAny notes relevant to the order. Please be brief, as this will be displayed in the Cova POS.stringNone.
TimeSlotDisplayStringText describing a delivery time slot. Optional Please be brief, as this will be displayed in the Cova POS.stringNone.
LinesReplaces Items in legacy ordersCollection of OrderLineNone.

Request Formats​

application/json, text/json

{
"Id": "sample string 1",
"CompanyId": 2,
"EntityId": 3,
"OrderReference": "sample string 4",
"CustomerId": "sample string 5",
"IntegratorId": "sample string 6",
"IsDelivery": true,
"ExternalOrderId": "sample string 8",
"Notes": "sample string 9",
"TimeSlotDisplayString": "sample string 10",
"Lines": [
{
"Name": "sample string 1",
"CatalogItemId": "sample string 2",
"Quantity": 3.1,
"LineDollarAmount": 4.1,
"PackageId": "sample string 5"
},
{
"Name": "sample string 1",
"CatalogItemId": "sample string 2",
"Quantity": 3.1,
"LineDollarAmount": 4.1,
"PackageId": "sample string 5"
}
]
}

Response Information​

Resource Description​

Returns and empty body with an HTTP Accepted - 202 status

HttpStatusCode

Response Formats​

application/json, text/json

100

Models​

OrderLine
NameDescriptionTypeAdditional information
NamestringNone.
CatalogItemIdstringNone.
Quantitydecimal numberNone.
LineDollarAmountTotal for this line, NOT per unit.decimal numberNone.
PackageIdOptional package identifier. If no packageId is supplied, the order system will assign a package based on highest availability.stringNone.
HttpStatusCode

Possible enumeration values:

NameValueDescription
Continue100
SwitchingProtocols101
OK200
Created201
Accepted202
NonAuthoritativeInformation203
NoContent204
ResetContent205
PartialContent206
MultipleChoices300
Ambiguous300
MovedPermanently301
Moved301
Found302
Redirect302
SeeOther303
RedirectMethod303
NotModified304
UseProxy305
Unused306
TemporaryRedirect307
RedirectKeepVerb307
BadRequest400
Unauthorized401
PaymentRequired402
Forbidden403
NotFound404
MethodNotAllowed405
NotAcceptable406
ProxyAuthenticationRequired407
RequestTimeout408
Conflict409
Gone410
LengthRequired411
PreconditionFailed412
RequestEntityTooLarge413
RequestUriTooLong414
UnsupportedMediaType415
RequestedRangeNotSatisfiable416
ExpectationFailed417
UpgradeRequired426
InternalServerError500
NotImplemented501
BadGateway502
ServiceUnavailable503
GatewayTimeout504
HttpVersionNotSupported505

PUT v1/TEPCovaOrder({orderId})​

This call creates a Sales Order for a specified location with Tax Exclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.

The intent is to represent orders with taxes included or excluded in the prices of each line item, depending on the explicit endpoint being called. Tax Inclusive Pricing is TIP and the historical Tax Exclusive Pricing is TEP.Separate explicit calls to create orders based on the two tax pricing schemes is a way to ensure understanding of the key differences

Additional Documentation​

See TIP/TEP Explanation

Determine Tax Pricing Configuration​

Tax Pricing Configuration

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v1/TEPCovaOrder(2a8f5d33-eec9-4864-8b49-5636577b40d5)

Note:​

This PUT call will create an order. Use this call if Tax Pricing Configuration for the location/entityId is Exclusive or there is no configuration. As an integrator, you must generate an OrderId GUID value. The generated id must be supplied in the URL AND in the body of the PUT request as the id value

PUT /covaorderintake/v1/TEPCovaOrder({your generated id})
Host: api.covasoft.net
Authorization: Bearer {your token}
Accept: application/json
Content-Type: application/json
{
"Id":"{your generated id}",
"CompanyId": 1,
"EntityId": 2,
.... etc
"IntegratorId":"{integratorId}",
"Lines": [ ... ]
}

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
orderIdglobally unique identifierRequired

Body Parameters​

Details needed for the Cova Sales Order

CovaSalesOrderWithLines

NameDescriptionTypeAdditional information
IdstringNone.
CompanyIdintegerNone.
EntityIdintegerNone.
OrderReferenceDisplayed in Cova POS if a valid CustomerId is not supplied. Recommend [$firstName $lastName]stringNone.
CustomerIdstringNone.
IntegratorIdstringNone.
IsDeliverybooleanNone.
ExternalOrderIdOrder identifier from the submitting partner. Used as a cross-referencestringNone.
NotesAny notes relevant to the order. Please be brief, as this will be displayed in the Cova POS.stringNone.
TimeSlotDisplayStringText describing a delivery time slot. Optional Please be brief, as this will be displayed in the Cova POS.stringNone.
LinesReplaces Items in legacy ordersCollection of OrderLineNone.

Request Formats​

application/json, text/json

{
"Id": "sample string 1",
"CompanyId": 2,
"EntityId": 3,
"OrderReference": "sample string 4",
"CustomerId": "sample string 5",
"IntegratorId": "sample string 6",
"IsDelivery": true,
"ExternalOrderId": "sample string 8",
"Notes": "sample string 9",
"TimeSlotDisplayString": "sample string 10",
"Lines": [
{
"Name": "sample string 1",
"CatalogItemId": "sample string 2",
"Quantity": 3.1,
"LineDollarAmount": 4.1,
"PackageId": "sample string 5"
},
{
"Name": "sample string 1",
"CatalogItemId": "sample string 2",
"Quantity": 3.1,
"LineDollarAmount": 4.1,
"PackageId": "sample string 5"
}
]
}

Response Information​

Resource Description​

Returns and empty body with an HTTP Accepted - 202 status

HttpStatusCode

Response Formats​

application/json, text/json

100

Models​

OrderLine
NameDescriptionTypeAdditional information
NamestringNone.
CatalogItemIdstringNone.
Quantitydecimal numberNone.
LineDollarAmountTotal for this line, NOT per unit.decimal numberNone.
PackageIdOptional package identifier. If no packageId is supplied, the order system will assign a package based on highest availability.stringNone.
HttpStatusCode

Possible enumeration values:

NameValueDescription
Continue100
SwitchingProtocols101
OK200
Created201
Accepted202
NonAuthoritativeInformation203
NoContent204
ResetContent205
PartialContent206
MultipleChoices300
Ambiguous300
MovedPermanently301
Moved301
Found302
Redirect302
SeeOther303
RedirectMethod303
NotModified304
UseProxy305
Unused306
TemporaryRedirect307
RedirectKeepVerb307
BadRequest400
Unauthorized401
PaymentRequired402
Forbidden403
NotFound404
MethodNotAllowed405
NotAcceptable406
ProxyAuthenticationRequired407
RequestTimeout408
Conflict409
Gone410
LengthRequired411
PreconditionFailed412
RequestEntityTooLarge413
RequestUriTooLong414
UnsupportedMediaType415
RequestedRangeNotSatisfiable416
ExpectationFailed417
UpgradeRequired426
InternalServerError500
NotImplemented501
BadGateway502
ServiceUnavailable503
GatewayTimeout504
HttpVersionNotSupported505

PUT v2/CovaOrder({orderId})​

This call creates a Sales Order for a specified location with Tax Exclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova. This endpoint does not support customer pricing.

This endpoint will create orders with Tax Exclusive pricing at the specified location.Unlike v3/CovaOrder({orderId}), this endpoint does not support customer pricing.If you are able to support customer pricing, use the v3/CovaOrder({orderId}) endpoint instead.

Additional Information​

This endpoint existed before the TIP/TEP endpoints. It does not support customer pricing, tax inclusive pricing, or line-level pricing. We recommend using the TIP/TEP endpoints instead of this endpoint, but we will continue to support this endpoint for existing integrators who have implemented against it.

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v2/CovaOrder(2a8f5d33-eec9-4864-8b49-5636577b40d5)

Note:​

This PUT call will create an order. Use this call if Tax Pricing Configuration for the location/entityId is Exclusive or there is no configuration. As an integrator, you must generate an OrderId GUID value. The generated id must be supplied in the URL AND in the body of the PUT request as the id value

PUT /covaorderintake/v2/CovaOrder({your generated id})
Host: api.covasoft.net
Authorization: Bearer {your token}
Accept: application/json
Content-Type: application/json
{
"Id":"{your generated id}",
"CompanyId": 1,
"EntityId": 2,
.... etc
"IntegratorId":"{integratorId}",
"Items": [ ... ]
}

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
orderIdglobally unique identifierRequired

Body Parameters​

Details needed for the Cova Sales Order

CovaSalesOrderV2V3Put

NameDescriptionTypeAdditional information
IdThe given globally unique indentifier for this order, must be supplied by the caller and match the identifier in the URL.globally unique identifierNone.
CompanyIdThe company identifier for this orderintegerNone.
EntityIdThe location identifier for this orderintegerNone.
WasCreatedWithInventoryHoldReadonly field indicating whether this order was created with inventory hold enabled.booleanNone.
FirstNameThe first name of the customer associated with this orderstringNone.
LastNameThe last name of the customer associated with this orderstringNone.
CustomerIdThe customerId of the customer associated with this orderglobally unique identifierNone.
DateCreatedUtcReadonly field indicating the UTC time the order was createddateNone.
OrderSourceReadonly field containing the name and identifier of the integrator that created this orderCovaSalesOrderV2V3PutOrderSourceNone.
OrderNumberUnused fieldstringNone.
IntegratorIdThe Id of the Integrator that created this order. This field is required.globally unique identifierNone.
ItemsThe line items on this order. This field is required and must contain at least one item.Collection of CovaSalesOrderV2V3PutCovaOrderItemNone.
DiscountInvoice-level discounts applied to this orderCovaSalesOrderV2V3PutCovaOrderDiscountNone.
IsDeliveryBoolean indicating whether this order is a delivery order.booleanNone.
ReceiptNumberReadonly field containing the receipt number generated for this order in Cova POSstringNone.
ExternalOrderIdUnused fieldstringNone.
TaxesA list of taxes that will override all taxes calculated by Cova POS for this order. If this field is not supplied, Cova POS will calculate taxes for this order as it would for any normal order. All taxes supplied by this field will show as being applied to only the first line item.Collection of CovaSalesOrderV2V3PutCovaOrderTaxNone.
NotesA field used to supply generic notes about this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.
TimeSlotDisplayStringA field used to supply generic text describing a delivery information for this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.

Request Formats​

application/json, text/json

{
"Id": "80fd3a62-1a38-402c-9596-e7f446344c3f",
"CompanyId": 0,
"EntityId": 0,
"WasCreatedWithInventoryHold": true,
"FirstName": null,
"LastName": null,
"CustomerId": null,
"DateCreatedUtc": "2026-10-02T17:41:05.0948539+00:00",
"OrderSource": {
"Id": "bbcf0850-c788-4cc6-ac83-3b2a99dfaa38",
"Name": "sample string 2"
},
"OrderNumber": "sample string 4",
"IntegratorId": "0c5d2f4e-4633-4341-86bc-4de67dd64c87",
"Items": [
{
"Name": "sample string 1",
"CatalogItemId": "556314c6-56ff-41f2-bc73-839ae05ea363",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
},
{
"Name": "sample string 1",
"CatalogItemId": "556314c6-56ff-41f2-bc73-839ae05ea363",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
}
],
"Discount": null,
"IsDelivery": false,
"ReceiptNumber": "sample string 6",
"ExternalOrderId": null,
"Taxes": null,
"Notes": null,
"TimeSlotDisplayString": null
}

Response Information​

Resource Description​

Returns the created order with some additional fields populated.

CovaSalesOrderV2V3Put

NameDescriptionTypeAdditional information
IdThe given globally unique indentifier for this order, must be supplied by the caller and match the identifier in the URL.globally unique identifierNone.
CompanyIdThe company identifier for this orderintegerNone.
EntityIdThe location identifier for this orderintegerNone.
WasCreatedWithInventoryHoldReadonly field indicating whether this order was created with inventory hold enabled.booleanNone.
FirstNameThe first name of the customer associated with this orderstringNone.
LastNameThe last name of the customer associated with this orderstringNone.
CustomerIdThe customerId of the customer associated with this orderglobally unique identifierNone.
DateCreatedUtcReadonly field indicating the UTC time the order was createddateNone.
OrderSourceReadonly field containing the name and identifier of the integrator that created this orderCovaSalesOrderV2V3PutOrderSourceNone.
OrderNumberUnused fieldstringNone.
IntegratorIdThe Id of the Integrator that created this order. This field is required.globally unique identifierNone.
ItemsThe line items on this order. This field is required and must contain at least one item.Collection of CovaSalesOrderV2V3PutCovaOrderItemNone.
DiscountInvoice-level discounts applied to this orderCovaSalesOrderV2V3PutCovaOrderDiscountNone.
IsDeliveryBoolean indicating whether this order is a delivery order.booleanNone.
ReceiptNumberReadonly field containing the receipt number generated for this order in Cova POSstringNone.
ExternalOrderIdUnused fieldstringNone.
TaxesA list of taxes that will override all taxes calculated by Cova POS for this order. If this field is not supplied, Cova POS will calculate taxes for this order as it would for any normal order. All taxes supplied by this field will show as being applied to only the first line item.Collection of CovaSalesOrderV2V3PutCovaOrderTaxNone.
NotesA field used to supply generic notes about this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.
TimeSlotDisplayStringA field used to supply generic text describing a delivery information for this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.

Response Formats​

application/json, text/json

{
"Id": "3fb0eff2-f220-46d9-a6d2-c9a6728f487a",
"CompanyId": 0,
"EntityId": 0,
"WasCreatedWithInventoryHold": true,
"FirstName": null,
"LastName": null,
"CustomerId": null,
"DateCreatedUtc": "2026-10-02T17:41:05.0948539+00:00",
"OrderSource": {
"Id": "ee35a858-1cb8-4e2c-9ffd-fdedb009f3e2",
"Name": "sample string 2"
},
"OrderNumber": "sample string 4",
"IntegratorId": "fbcd2b6b-8aef-49fa-9879-aa481d3bcd62",
"Items": [
{
"Name": "sample string 1",
"CatalogItemId": "5c3b87d4-641e-407f-8cb2-102dcdca4d45",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
},
{
"Name": "sample string 1",
"CatalogItemId": "5c3b87d4-641e-407f-8cb2-102dcdca4d45",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
}
],
"Discount": null,
"IsDelivery": false,
"ReceiptNumber": "sample string 6",
"ExternalOrderId": null,
"Taxes": null,
"Notes": null,
"TimeSlotDisplayString": null
}

Models​

CovaSalesOrderV2V3PutOrderSource
NameDescriptionTypeAdditional information
IdThe IntegratorId that created this orderglobally unique identifierNone.
NameThe name of the integrator that created this orderstringNone.
CovaSalesOrderV2V3PutCovaOrderItem
NameDescriptionTypeAdditional information
NameThe name of this line itemstringNone.
CatalogItemIdThe CatalogId for this line itemglobally unique identifierNone.
QuantityThe quantity of this line item.decimal numberNone.
SellAtPricePerUnitThe per-unit price of this line itemdecimal numberNone.
PackageIdOptional field, the package identifier for this line item. If no packageId is supplied, the order system will assign a package based on FIFO availability.stringNone.
BatchA readonly field indicating the batch number associated with the PackageId. Only relevant if the store has an associated Batch for this PackageIdstringNone.
CovaSalesOrderV2V3PutCovaOrderDiscount
NameDescriptionTypeAdditional information
InvoiceLevelA list of invoice-level discounts applied to this order. These discounts will be split across all lines on the order in Cova POS, but will be displayed as a single discount on the receipt.Collection of CovaSalesOrderV2V3PutAppliedDiscountNone.
CovaSalesOrderV2V3PutCovaOrderTax
NameDescriptionTypeAdditional information
TaxIdThe TaxId of the applicable tax. Must match a TaxId from the list of taxes configured in Cova POS for the store.globally unique identifierNone.
TaxAmountThe amount of tax applied.decimal numberNone.
CovaSalesOrderV2V3PutAppliedDiscount
NameDescriptionTypeAdditional information
NameUnused fieldstringNone.
ValueThe dollar value of this invoice-level discount.decimal numberNone.
ValueTypeThe type of this invoice-level discount. This field is required and must be 'Amount', as percentage discounts are not currently supported through the API.CovaSalesOrderV2V3PutDiscountValueTypeNone.
CovaSalesOrderV2V3PutDiscountValueType

Possible enumeration values:

NameValueDescription
Amount1

PUT v3/CovaOrder({orderId})​

This call creates a Sales Order for a specified location with Tax Exclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.

This endpoint will create orders with Tax Exclusive pricing at the specified location.This endpoint supports customer pricing.

Additional Information​

This endpoint existed before the TIP/TEP endpoints. It does not support tax inclusive pricing, or line-level pricing. We recommend using the TIP/TEP endpoints instead of this endpoint, but we will continue to support this endpoint for existing integrators who have implemented against it.

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v3/CovaOrder(2a8f5d33-eec9-4864-8b49-5636577b40d5)

Note:​

This PUT call will create an order. Use this call if Tax Pricing Configuration for the location/entityId is Exclusive or there is no configuration. As an integrator, you must generate an OrderId GUID value. The generated id must be supplied in the URL AND in the body of the PUT request as the id value

PUT /covaorderintake/v3/CovaOrder({your generated id})
Host: api.covasoft.net
Authorization: Bearer {your token}
Accept: application/json
Content-Type: application/json
{
"Id":"{your generated id}",
"CompanyId": 1,
"EntityId": 2,
.... etc
"IntegratorId":"{integratorId}",
"Items": [ ... ]
}

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
orderIdglobally unique identifierRequired

Body Parameters​

Details needed for the Cova Sales Order

CovaSalesOrderV2V3Put

NameDescriptionTypeAdditional information
IdThe given globally unique indentifier for this order, must be supplied by the caller and match the identifier in the URL.globally unique identifierNone.
CompanyIdThe company identifier for this orderintegerNone.
EntityIdThe location identifier for this orderintegerNone.
WasCreatedWithInventoryHoldReadonly field indicating whether this order was created with inventory hold enabled.booleanNone.
FirstNameThe first name of the customer associated with this orderstringNone.
LastNameThe last name of the customer associated with this orderstringNone.
CustomerIdThe customerId of the customer associated with this orderglobally unique identifierNone.
DateCreatedUtcReadonly field indicating the UTC time the order was createddateNone.
OrderSourceReadonly field containing the name and identifier of the integrator that created this orderCovaSalesOrderV2V3PutOrderSourceNone.
OrderNumberUnused fieldstringNone.
IntegratorIdThe Id of the Integrator that created this order. This field is required.globally unique identifierNone.
ItemsThe line items on this order. This field is required and must contain at least one item.Collection of CovaSalesOrderV2V3PutCovaOrderItemNone.
DiscountInvoice-level discounts applied to this orderCovaSalesOrderV2V3PutCovaOrderDiscountNone.
IsDeliveryBoolean indicating whether this order is a delivery order.booleanNone.
ReceiptNumberReadonly field containing the receipt number generated for this order in Cova POSstringNone.
ExternalOrderIdUnused fieldstringNone.
TaxesA list of taxes that will override all taxes calculated by Cova POS for this order. If this field is not supplied, Cova POS will calculate taxes for this order as it would for any normal order. All taxes supplied by this field will show as being applied to only the first line item.Collection of CovaSalesOrderV2V3PutCovaOrderTaxNone.
NotesA field used to supply generic notes about this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.
TimeSlotDisplayStringA field used to supply generic text describing a delivery information for this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.

Request Formats​

application/json, text/json

{
"Id": "dcef6f6f-607d-45ee-9e98-75156fd6a066",
"CompanyId": 0,
"EntityId": 0,
"WasCreatedWithInventoryHold": true,
"FirstName": null,
"LastName": null,
"CustomerId": null,
"DateCreatedUtc": "2026-10-02T11:31:44.722522+00:00",
"OrderSource": {
"Id": "a33bea3c-5271-46bc-93bc-3ea2ba1c4ec7",
"Name": "sample string 2"
},
"OrderNumber": "sample string 4",
"IntegratorId": "e45733e0-56b5-4dcd-a837-a9c16ac4db50",
"Items": [
{
"Name": "sample string 1",
"CatalogItemId": "e7e19650-0f06-4dc2-90cd-f80afa3fdf75",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
},
{
"Name": "sample string 1",
"CatalogItemId": "e7e19650-0f06-4dc2-90cd-f80afa3fdf75",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
}
],
"Discount": null,
"IsDelivery": false,
"ReceiptNumber": "sample string 6",
"ExternalOrderId": null,
"Taxes": null,
"Notes": null,
"TimeSlotDisplayString": null
}

Response Information​

Resource Description​

Returns the created order with some additional fields populated.

CovaSalesOrderV2V3Put

NameDescriptionTypeAdditional information
IdThe given globally unique indentifier for this order, must be supplied by the caller and match the identifier in the URL.globally unique identifierNone.
CompanyIdThe company identifier for this orderintegerNone.
EntityIdThe location identifier for this orderintegerNone.
WasCreatedWithInventoryHoldReadonly field indicating whether this order was created with inventory hold enabled.booleanNone.
FirstNameThe first name of the customer associated with this orderstringNone.
LastNameThe last name of the customer associated with this orderstringNone.
CustomerIdThe customerId of the customer associated with this orderglobally unique identifierNone.
DateCreatedUtcReadonly field indicating the UTC time the order was createddateNone.
OrderSourceReadonly field containing the name and identifier of the integrator that created this orderCovaSalesOrderV2V3PutOrderSourceNone.
OrderNumberUnused fieldstringNone.
IntegratorIdThe Id of the Integrator that created this order. This field is required.globally unique identifierNone.
ItemsThe line items on this order. This field is required and must contain at least one item.Collection of CovaSalesOrderV2V3PutCovaOrderItemNone.
DiscountInvoice-level discounts applied to this orderCovaSalesOrderV2V3PutCovaOrderDiscountNone.
IsDeliveryBoolean indicating whether this order is a delivery order.booleanNone.
ReceiptNumberReadonly field containing the receipt number generated for this order in Cova POSstringNone.
ExternalOrderIdUnused fieldstringNone.
TaxesA list of taxes that will override all taxes calculated by Cova POS for this order. If this field is not supplied, Cova POS will calculate taxes for this order as it would for any normal order. All taxes supplied by this field will show as being applied to only the first line item.Collection of CovaSalesOrderV2V3PutCovaOrderTaxNone.
NotesA field used to supply generic notes about this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.
TimeSlotDisplayStringA field used to supply generic text describing a delivery information for this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.stringNone.

Response Formats​

application/json, text/json

{
"Id": "bfd92fb2-4dc8-4cc0-89cc-ddb45e287319",
"CompanyId": 0,
"EntityId": 0,
"WasCreatedWithInventoryHold": true,
"FirstName": null,
"LastName": null,
"CustomerId": null,
"DateCreatedUtc": "2026-10-02T11:31:44.7381183+00:00",
"OrderSource": {
"Id": "9646999f-0f04-4e4b-b76f-ebec8e50b3ea",
"Name": "sample string 2"
},
"OrderNumber": "sample string 4",
"IntegratorId": "5611a1b6-131b-4c36-ac9f-09e428862c43",
"Items": [
{
"Name": "sample string 1",
"CatalogItemId": "70a84c4f-8652-4c81-900a-01e7be837fb2",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
},
{
"Name": "sample string 1",
"CatalogItemId": "70a84c4f-8652-4c81-900a-01e7be837fb2",
"Quantity": 3,
"SellAtPricePerUnit": 4,
"PackageId": "sample string 5",
"Batch": "sample string 6"
}
],
"Discount": null,
"IsDelivery": false,
"ReceiptNumber": "sample string 6",
"ExternalOrderId": null,
"Taxes": null,
"Notes": null,
"TimeSlotDisplayString": null
}

Models​

CovaSalesOrderV2V3PutOrderSource
NameDescriptionTypeAdditional information
IdThe IntegratorId that created this orderglobally unique identifierNone.
NameThe name of the integrator that created this orderstringNone.
CovaSalesOrderV2V3PutCovaOrderItem
NameDescriptionTypeAdditional information
NameThe name of this line itemstringNone.
CatalogItemIdThe CatalogId for this line itemglobally unique identifierNone.
QuantityThe quantity of this line item.decimal numberNone.
SellAtPricePerUnitThe per-unit price of this line itemdecimal numberNone.
PackageIdOptional field, the package identifier for this line item. If no packageId is supplied, the order system will assign a package based on FIFO availability.stringNone.
BatchA readonly field indicating the batch number associated with the PackageId. Only relevant if the store has an associated Batch for this PackageIdstringNone.
CovaSalesOrderV2V3PutCovaOrderDiscount
NameDescriptionTypeAdditional information
InvoiceLevelA list of invoice-level discounts applied to this order. These discounts will be split across all lines on the order in Cova POS, but will be displayed as a single discount on the receipt.Collection of CovaSalesOrderV2V3PutAppliedDiscountNone.
CovaSalesOrderV2V3PutCovaOrderTax
NameDescriptionTypeAdditional information
TaxIdThe TaxId of the applicable tax. Must match a TaxId from the list of taxes configured in Cova POS for the store.globally unique identifierNone.
TaxAmountThe amount of tax applied.decimal numberNone.
CovaSalesOrderV2V3PutAppliedDiscount
NameDescriptionTypeAdditional information
NameUnused fieldstringNone.
ValueThe dollar value of this invoice-level discount.decimal numberNone.
ValueTypeThe type of this invoice-level discount. This field is required and must be 'Amount', as percentage discounts are not currently supported through the API.CovaSalesOrderV2V3PutDiscountValueTypeNone.
CovaSalesOrderV2V3PutDiscountValueType

Possible enumeration values:

NameValueDescription
Amount1

GET v2/Companies({CompanyId})/CovaOrder({SalesOrderId})/Status​

Returns the status of the order and payment (if applicable)

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v2/Companies({companyId})/CovaOrder({salesOrderId})/Status

Order Status:​

The following is a list of the possible OrderStatus property values, ordered by typical transition, with the last three being exceptional cases.

  • SubmittedForProcessing
  • SubmittedForFinalProcessing
  • ReadyForPayment
  • Completed
  • Cancelled
  • TransientProcessingFailure => internal Cova failure, please try again
  • NonTransientProcessingFailure => similar to "bad request". Cova could not handle the data, please contact API Support.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdintegerRequired
SalesOrderIdglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns the company, order id, and status

CovaSalesOrderStatusReturnV2

NameDescriptionTypeAdditional information
CompanyIdCompany identifierintegerNone.
OrderIdOrder identifier. Also sometimes referred to as SaleIdglobally unique identifierNone.
OrderStatusEnumeration of Order Status valuesOrderStatusV2None.
OrderMessageReturned with non transient errors to describe why the order cannot be created.stringNone.
PaymentStatusPaymentStatusV2None.
PaymentMessagestringNone.
SaleTotaldecimal numberNone.
OrderFulfillmentMethodInStore, Delivery, PickupstringNone.
OrderFulfillmentStatusOrderPlaced, InProgress, ReadyForPickupstringNone.

Response Formats​

application/json, text/json

{
"CompanyId": 1,
"OrderId": "f998b456-a025-4735-9431-777b7c14e9f3",
"OrderStatus": 0,
"OrderMessage": "sample string 3",
"PaymentStatus": 0,
"PaymentMessage": "sample string 4",
"SaleTotal": 5,
"OrderFulfillmentMethod": "sample string 6",
"OrderFulfillmentStatus": "sample string 7"
}

POST v1/CovaOrderPayment​

This Call Marks a Sales Order as PaidWaitingForCompletion at the Location specified within the Company

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v1/CovaOrderPayment

Request Information​

URI Parameters​

None.

Body Parameters​

Details needed for the Cova Order Payment intake

CovaSalesOrderPaymentPost

NameDescriptionTypeAdditional information
SaleIDThe OrderId submitted/returned when creating an orderglobally unique identifierNone.
CompanyIdintegerNone.
TrackingNumberRequired. Delivery identifier: driver name/phone/id, shipping\mailing tracking number. If not applicable, supply some sort of order reference (your internal id, perhaps) or "N/A"stringNone.
PaymentsCollection of PaymentNone.

Request Formats​

application/json, text/json

{
"SaleID": "bb385d25-8a02-4c11-a59e-0d2721754471",
"CompanyId": 2,
"TrackingNumber": "sample string 3",
"Payments": [
{
"PreAuthorizationToken": "sample string 1",
"Amount": 2.1,
"TimeTakenUtc": "2026-10-02T17:41:07.8971263+00:00",
"Last4Digits": "sample string 4"
},
{
"PreAuthorizationToken": "sample string 1",
"Amount": 2.1,
"TimeTakenUtc": "2026-10-02T17:41:07.8971263+00:00",
"Last4Digits": "sample string 4"
}
]
}

Response Information​

Resource Description​

CovaSalesOrderPaymentPost

NameDescriptionTypeAdditional information
SaleIDThe OrderId submitted/returned when creating an orderglobally unique identifierNone.
CompanyIdintegerNone.
TrackingNumberRequired. Delivery identifier: driver name/phone/id, shipping\mailing tracking number. If not applicable, supply some sort of order reference (your internal id, perhaps) or "N/A"stringNone.
PaymentsCollection of PaymentNone.

Response Formats​

application/json, text/json

{
"SaleID": "2737fc73-45af-432c-93a9-652edfdbae76",
"CompanyId": 2,
"TrackingNumber": "sample string 3",
"Payments": [
{
"PreAuthorizationToken": "sample string 1",
"Amount": 2.1,
"TimeTakenUtc": "2026-10-02T17:41:07.9127228+00:00",
"Last4Digits": "sample string 4"
},
{
"PreAuthorizationToken": "sample string 1",
"Amount": 2.1,
"TimeTakenUtc": "2026-10-02T17:41:07.9127228+00:00",
"Last4Digits": "sample string 4"
}
]
}

Models​

Payment
NameDescriptionTypeAdditional information
PreAuthorizationTokenRequired. Token/id from a payment provider, or possibly the last 4 digits of a credit card. "N/A" is also valid.stringNone.
Amountdecimal numberNone.
TimeTakenUtcdateNone.
Last4DigitsOptional: Last 4 digits of the credit card used (if applicable). Will display on POS. Must be exactly 4 digits or nullstringNone.

POST Companies({CompanyId})/Sales({SalesOrderId})/Complete​

This Call Marks a Sales Order as Complete and Converts it to a Sales Invoice at the Location specified within the Company

Base URL:​

https://api.covasoft.net/pointofsale

Example of a call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/Sales({SalesOrderId})/Complete

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
SalesOrderIdSales Order Guid Id that you want to Completeglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns Sales Order Guid that was completed "Id": "83a83aab-a741-4940-bf43-1cdc083e93a0"

IHttpActionResult

None.

Response Formats​

application/json, text/json

Sample not available.

Models​

IHttpActionResult

None.

GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/RefundInvoices?EntityId={EntityId}&DateSince={DateSince}&PaymentTypeName={PaymentTypeName}​

Get all refund invoices by company and location, originating from an order created by the integrator, since a date.

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/RefundInvoices?DateSince=2020-11-05T00:00:00.00Z&PaymentTypes=Store Credit

Usage:​

Use this endpoint to get all refund invoices created in a date range, by a location, originating with a specific integrator.

NOTE CURRENTLY IntegratorId PARAMETER IS IGNORED, AND ALL REFUNDS RETURNED. BE ADVISED THAT THIS WILL CHANGE AT A FUTURE DATE

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe company the refund was created at.integerRequired
EntityIdThe location the refund was created at.integerRequired
IntegratorIdThe integrator who created the originating order. CURRENTLY THIS PARAMETER IS IGNORED, AND ALL REFUNDS RETURNED. BE ADVISED THAT THIS WILL CHANGE AT A FUTURE DATE.globally unique identifierRequired
DateSinceUTC date from date until now, to show refunds.dateRequired
PaymentTypeNameOptional param to filter results on payment type names.stringNone.
LocationIdstringNone.

Body Parameters​

None.

Response Information​

Resource Description​

Collection of CovaSalesOrderGetInvoicesForRefundedOrdersReturn

NameDescriptionTypeAdditional information
InvoiceIdglobally unique identifierNone.
InvoiceNumberstringNone.
OrderNumberstringNone.
Totaldecimal numberNone.
TypestringNone.
PaymentTypesstringNone.
CustomerIDglobally unique identifierNone.
CreatedDateUtcdateNone.

Response Formats​

application/json, text/json

[
{
"InvoiceId": "5979a269-d661-42e2-87a5-34819f4d8cf9",
"InvoiceNumber": "sample string 2",
"OrderNumber": "sample string 3",
"Total": 4,
"Type": "sample string 5",
"PaymentTypes": "sample string 6",
"CustomerID": "f49f56b9-46f9-4981-b782-92977bf7eddf",
"CreatedDateUtc": "2026-10-02T17:41:09.2408521+00:00"
},
{
"InvoiceId": "5979a269-d661-42e2-87a5-34819f4d8cf9",
"InvoiceNumber": "sample string 2",
"OrderNumber": "sample string 3",
"Total": 4,
"Type": "sample string 5",
"PaymentTypes": "sample string 6",
"CustomerID": "f49f56b9-46f9-4981-b782-92977bf7eddf",
"CreatedDateUtc": "2026-10-02T17:41:09.2408521+00:00"
}
]

GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/RefundInvoices/{InvoiceId}?EntityId={EntityId}​

Get the refund invoice details of a refunded order.

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/RefundInvoices/{InvoiceId}

Usage:​

Use this endpoint to get the invoice details of a refund that originated on an order with a specific integrator.

NOTE CURRENTLY IntegratorId PARAMETER IS IGNORED, AND ALL REFUNDS RETURNED. BE ADVISED THAT THIS WILL CHANGE AT A FUTURE DATE

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe company the refund was created at.integerRequired
EntityIdThe location the refund was created atintegerRequired
IntegratorIdhe integrator who created the originating order. CURRENTLY THIS PARAMETER IS IGNORED, AND ALL REFUNDS RETURNED. BE ADVISED THAT THIS WILL CHANGE AT A FUTURE DATE.globally unique identifierRequired
InvoiceIdThe InvoiceId of the refund invoice.globally unique identifierRequired
LocationIdstringNone.

Body Parameters​

None.

Response Information​

Resource Description​

CovaSalesOrderGetRefundInvoiceByIdReturn

NameDescriptionTypeAdditional information
RefundInvoiceIdglobally unique identifierNone.
RefundInvoiceNumberstringNone.
OriginalInvoiceIdglobally unique identifierNone.
RefundOrderIdglobally unique identifierNone.
RefundOrderNumberstringNone.
OriginalOrderNumberstringNone.
LocationIdintegerNone.
CustomerIdglobally unique identifierNone.
ProductsRefundedCollection of CovaSalesOrderGetRefundInvoiceByIdProductsrefundedNone.
PaymentsCollection of CovaSalesOrderGetRefundInvoiceByIdPaymentNone.

Response Formats​

application/json, text/json

{
"RefundInvoiceId": "1b3c81a0-745f-421f-83b8-e3a7f142bdf1",
"RefundInvoiceNumber": "sample string 2",
"OriginalInvoiceId": "45397018-112b-4f58-a414-bf567ef4a068",
"RefundOrderId": "e1e56bee-2dcd-4762-85bb-bb2c5d124fbd",
"RefundOrderNumber": "sample string 5",
"OriginalOrderNumber": "sample string 6",
"LocationId": 7,
"CustomerId": "7d62f8d1-421f-4f73-99cf-f02744443937",
"ProductsRefunded": [
{
"ProductId": "6662fc17-0530-49ff-b355-0a8c278cc5bb",
"Quantity": 2,
"RefundedAmountBeforeTax": 3,
"Taxes": {
"Tax": 1,
"TaxDetails": [
{
"TaxId": "51b12142-13b9-4b8b-9fd0-6b857cb0f280",
"Tax": 2,
"TaxName": "sample string 3"
},
{
"TaxId": "51b12142-13b9-4b8b-9fd0-6b857cb0f280",
"Tax": 2,
"TaxName": "sample string 3"
}
]
}
},
{
"ProductId": "6662fc17-0530-49ff-b355-0a8c278cc5bb",
"Quantity": 2,
"RefundedAmountBeforeTax": 3,
"Taxes": {
"Tax": 1,
"TaxDetails": [
{
"TaxId": "51b12142-13b9-4b8b-9fd0-6b857cb0f280",
"Tax": 2,
"TaxName": "sample string 3"
},
{
"TaxId": "51b12142-13b9-4b8b-9fd0-6b857cb0f280",
"Tax": 2,
"TaxName": "sample string 3"
}
]
}
}
],
"Payments": [
{
"PaymentId": "4f821d5a-f261-4e9d-be5b-80b3177d07a0",
"OriginalPaymentId": "2c2530ad-971f-4519-9083-6f4a91b62ba8",
"Last4Digits": "sample string 3",
"CustomerAccountId": "f5923c97-cb25-482e-bef7-798dab71838c",
"PaymentMethodId": 4,
"PaymentMethodName": "sample string 5",
"Amount": 6,
"TransactionDateUtc": "sample string 7"
},
{
"PaymentId": "4f821d5a-f261-4e9d-be5b-80b3177d07a0",
"OriginalPaymentId": "2c2530ad-971f-4519-9083-6f4a91b62ba8",
"Last4Digits": "sample string 3",
"CustomerAccountId": "f5923c97-cb25-482e-bef7-798dab71838c",
"PaymentMethodId": 4,
"PaymentMethodName": "sample string 5",
"Amount": 6,
"TransactionDateUtc": "sample string 7"
}
]
}

Models​

CovaSalesOrderGetRefundInvoiceByIdProductsrefunded
NameDescriptionTypeAdditional information
ProductIdglobally unique identifierNone.
Quantitydecimal numberNone.
RefundedAmountBeforeTaxdecimal numberNone.
TaxesCovaSalesOrderGetRefundInvoiceByIdTaxesNone.
CovaSalesOrderGetRefundInvoiceByIdTaxes
NameDescriptionTypeAdditional information
Taxdecimal numberNone.
TaxDetailsCollection of CovaSalesOrderGetRefundInvoiceByIdTaxdetailNone.

GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/Orders/{OrderId}?EntityId={EntityId}​

Get order details by order Id

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/Orders/{OrderId}

Usage:​

Use this endpoint to get the order details of an order for a specific integrator.

NOTE CURRENTLY IntegratorId PARAMETER IS IGNORED, AND ALL ORDERS RETURNED. BE ADVISED THAT THIS WILL CHANGE AT A FUTURE DATE

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe company the order was created at.integerRequired
EntityIdThe location the order was created at.integerRequired
IntegratorIdThe integrator who created the order.globally unique identifierRequired
OrderIdThe Id of the order.globally unique identifierRequired
LocationIdstringNone.

Body Parameters​

None.

Response Information​

Resource Description​

CovaSalesOrderGetOrderDetailsByIdReturn

NameDescriptionTypeAdditional information
OrderIdglobally unique identifierNone.
OrderNumberstringNone.
InvoiceIdglobally unique identifierNone.
StatusstringNone.
LocationIdintegerNone.
InvoiceNumberstringNone.
CustomerIdglobally unique identifierNone.
ProductsCollection of CovaSalesOrderGetOrderDetailsByIdProductNone.
PaymentsCollection of CovaSalesOrderGetOrderDetailsByIdPaymentNone.

Response Formats​

application/json, text/json

{
"OrderId": "2e94f964-0ea0-4127-81a4-32c291a67bec",
"OrderNumber": "sample string 2",
"InvoiceId": "7f320eb6-deaa-4075-a8d5-af8a2fcc3c56",
"Status": "sample string 4",
"LocationId": 5,
"InvoiceNumber": "sample string 6",
"CustomerId": "fdcca81b-cf9b-44ee-8046-71386db31305",
"Products": [
{
"ProductId": "2e305b69-9ea4-4859-8acf-d8d027371907",
"Quantity": 2,
"AmountBeforeTax": 3,
"Taxes": {
"Tax": 1,
"TaxDetails": [
{
"TaxId": "sample string 1",
"Tax": 2,
"TaxName": "sample string 3"
},
{
"TaxId": "sample string 1",
"Tax": 2,
"TaxName": "sample string 3"
}
]
}
},
{
"ProductId": "2e305b69-9ea4-4859-8acf-d8d027371907",
"Quantity": 2,
"AmountBeforeTax": 3,
"Taxes": {
"Tax": 1,
"TaxDetails": [
{
"TaxId": "sample string 1",
"Tax": 2,
"TaxName": "sample string 3"
},
{
"TaxId": "sample string 1",
"Tax": 2,
"TaxName": "sample string 3"
}
]
}
}
],
"Payments": [
{
"Last4Digits": "sample string 1",
"CustomerAccountId": "sample string 2",
"PaymentMethodId": 3,
"PaymentMethodName": "sample string 4",
"Amount": 5.1,
"TransactionDateUtc": "2026-10-02T17:41:10.7042718+00:00"
},
{
"Last4Digits": "sample string 1",
"CustomerAccountId": "sample string 2",
"PaymentMethodId": 3,
"PaymentMethodName": "sample string 4",
"Amount": 5.1,
"TransactionDateUtc": "2026-10-02T17:41:10.7042718+00:00"
}
]
}

Models​

CovaSalesOrderGetOrderDetailsByIdProduct
NameDescriptionTypeAdditional information
ProductIdglobally unique identifierNone.
Quantitydecimal numberNone.
AmountBeforeTaxdecimal numberNone.
TaxesCovaSalesOrderGetOrderDetailsByIdTaxesNone.
CovaSalesOrderGetOrderDetailsByIdPayment
NameDescriptionTypeAdditional information
Last4DigitsstringNone.
CustomerAccountIdstringNone.
PaymentMethodIdintegerNone.
PaymentMethodNamestringNone.
Amountdecimal numberNone.
TransactionDateUtcdateNone.
CovaSalesOrderGetOrderDetailsByIdTaxes
NameDescriptionTypeAdditional information
Taxdecimal numberNone.
TaxDetailsCollection of CovaSalesOrderGetOrderDetailsByIdTaxdetailNone.
CovaSalesOrderGetOrderDetailsByIdTaxdetail
NameDescriptionTypeAdditional information
TaxIdstringNone.
Taxdecimal numberNone.
TaxNamestringNone.

GET v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/CompletedOrders?EntityId={EntityId}&DateSince={DateSince}&OrderSource={OrderSource}​

Get all orders that were completed since date

Base URL:​

https://api.covasoft.net/covaorderintake

Example of a call would be:​

https://api.covasoft.net/covaorderintake/v1/companies/{CompanyId}/entities/{LocationId}/integrators/{IntegratorId}/CompletedOrders?DateSince=2020-12-10T00:00:00.00Z&OrderSource=Online

Usage:​

Use this endpoint to get the completed orders for an integrator.

NOTE CURRENTLY IntegratorId PARAMETER IS IGNORED, AND ALL ORDERS RETURNED. BE ADVISED THAT THIS WILL CHANGE AT A FUTURE DATE

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe company the order was created at.integerRequired
EntityIdThe entity the order was created atintegerRequired
IntegratorIdThe integrator who created the order.globally unique identifierRequired
DateSinceUTC date from date until now, with a maximum range of 30 days.dateRequired
OrderSourceOptional filter that will filter orders from a specific source. (eg, a specific tablet, a specific integrator, etc)stringNone.
LocationIdstringNone.

Body Parameters​

None.

Response Information​

Resource Description​

Collection of CovaSalesOrderGetCompletedOrdersSinceReturn

NameDescriptionTypeAdditional information
OrderIdglobally unique identifierNone.
OrderNumberstringNone.
Totaldecimal numberNone.
OrderSourcestringNone.
FulfillmentMethodstringNone.
CustomerIDglobally unique identifierNone.
CreatedDateUtcdateNone.

Response Formats​

application/json, text/json

[
{
"OrderId": "46079d3b-708d-4348-aed0-6df70b7ad8f3",
"OrderNumber": "sample string 2",
"Total": 3,
"OrderSource": "sample string 4",
"FulfillmentMethod": "sample string 5",
"CustomerID": "aafe882c-3a27-4616-a6ca-64acc3aadd17",
"CreatedDateUtc": "2026-10-02T17:41:11.3658639+00:00"
},
{
"OrderId": "46079d3b-708d-4348-aed0-6df70b7ad8f3",
"OrderNumber": "sample string 2",
"Total": 3,
"OrderSource": "sample string 4",
"FulfillmentMethod": "sample string 5",
"CustomerID": "aafe882c-3a27-4616-a6ca-64acc3aadd17",
"CreatedDateUtc": "2026-10-02T17:41:11.3658639+00:00"
}
]

PUT v1/Companies({companyId})/CovaOrderReceiptNumberReservation({orderId})​

This endpoint will generate a receipt number for a given orderId. All subsequent calls to other endpoints with that orderId will use this receipt number. This can be used by integrators to generate a receipt number for an order before the order is created.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdThe company the order was created at.integerRequired
orderIdThe Id of the order.globally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

CovaOrderReceiptNumberReservationReturn

NameDescriptionTypeAdditional information
OrderIdThe OrderId belonging to this receiptNumberglobally unique identifierNone.
ReceiptNumberThe receipt number that was reserved for this orderstringNone.

Response Formats​

application/json, text/json

{
"OrderId": "2a8f5d33-eec9-4864-8b49-5636577b40d5",
"ReceiptNumber": "IN8A6J-12BS07R"
}